ECHO OFF
IF "%1" == "A:" GOTO start
IF "%1" == "a:" GOTO start
IF "%1" == "B:" GOTO start
IF "%1" == "b:" GOTO start
IF "%1" == "I:" GOTO start
IF "%1" == "i:" GOTO start
:help
ECHO                               ---
ECHO       This batch file copies all the data files XBOOK uses
ECHO                  to any floppy you designate.
ECHO                               ---
ECHO               Just type BU B: or BU A: or BU I:
ECHO                               ---
GOTO end
:start
ECHO                     XBOOK BACKUP BATCH FILE
ECHO                           Version 2.0
ECHO                               ---
ECHO Make sure your back up floppy disk is in the drive you specified.
PAUSE
ECHO                          Copying Files ...
ECHO ON
COPY xbook.mem %1
COPY xbook.cat %1
COPY current.dbf %1
COPY curdtnbr.ndx %1
IF EXIST xb_auto.dbf COPY xb_auto.dbf %1
:end
